using System.Runtime;
using Entidades;

namespace Modelo
{
    public sealed class RepositorioProveedor : RepositorioBase<Proveedor, RepositorioProveedor>
    {
        override public bool Add(Proveedor t)
        {
            bool ret = false;

            try
            {
                almacen.Add(t);
                ret = true;
            }
            catch (Exception)
            {
                throw;
            }

            return ret;
        }

        override public bool Mod(Proveedor t)
        {
            bool ret = false;

            try
            {
                var proveedorAModificar = almacen.Find(x => x.Id == t.Id);
                if (proveedorAModificar != null)
                {
                    proveedorAModificar = t;
                    ret = true;
                }
            }
            catch (Exception)
            {
                throw;
            }

            return ret;
        }

        override public bool Del(Proveedor t)
        {
            bool ret = false;
                
            try
            {
                var proveedorAEliminar = almacen.Find(x => x.Id == t.Id);
                if (proveedorAEliminar != null)
                {
                    almacen.Remove(proveedorAEliminar);
                    ret = true;
                }
            }
            catch (Exception)
            {
                throw;
            }

            return ret;
        }
    }
}
